'''Given: Three positive integers k, m, and n, representing a population containing k+m+n organisms: k individuals are homozygous dominant for a factor, m are heterozygous, and n are homozygous recessive.

Return: The probability that two randomly selected mating organisms will produce an individual possessing a dominant allele (and thus displaying the dominant phenotype). Assume that any two organisms can mate.'''
def prob(k,m,n):
    t=k+n+m
    a=(k)*(k-1)/2
    b=k*m
    c=k*n
    d=0.75*m*(m-1)/2
    e=0.5*m*n
    return (a+b+c+d+e)/(t*(t-1)/2)
